# Namespace: geolocation

## geolocation

Provides functionalities to use the geolocation API.

Source:
  - geolocation.js, line 7

### Methods

#### (static) getGeolocation(command_url, command_id)

Retrieve latitude/longitude using the geolocation API

##### Parameters:

Name | Type | Description
--- | --- | ---
`command_url` |  |
`command_id` |  |

Source:
  - geolocation.js, line 69

#### (static) getOpenStreetMapAddress(command_url, command_id, latitude, longitude)

Given latitude/longitude retrieves exact street position of the zombie

##### Parameters:

Name | Type | Description
--- | --- | ---
`command_url` |  |
`command_id` |  |
`latitude` |  |
`longitude` |  |

Source:
  - geolocation.js, line 29

#### (static) isGeolocationEnabled() → {boolean}

Check if browser supports the geolocation API

Source:
  - geolocation.js, line 18

##### Returns:

Type
  boolean